<?php
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

class HTML_publications {
  function displayForm($string,$case,$order,$task) {
    global $database;
    global $mosConfig_absolute_path;
  require($mosConfig_absolute_path."/administrator/components/com_publications/publications_settings.php");


    //Find 'id' of "Publications" category
  $publications_title=$database->getEscaped($publications_title);
    $query = "SELECT * FROM #__categories WHERE title = '$publications_title'";
    $database->setQuery( $query );
    $rows = $database->loadObjectList();
    if(count($rows) ==0){
      echo "I can't find the \"$publications_title\" category in your database";
	return -1;
    }
    $row = $rows[0];
    $id_cat=$row->id;
    if($task=='print')
	return  $id_cat;

    #echo '<form method="POST" action="'. sefRelToAbs("index.php?option=com_publications&Itemid=58").'">';
    echo '<form method="POST" action="'. sefRelToAbs($_SERVER['REQUEST_URI']).'">';
    ?> 
      <input type="hidden" name="option" value="com_publications"/>
	 Substring to search for: <input type="TEXT" name="string" value="<?php echo $string?$string:""?>"/><br>
	 Year: <select name="year">
	 <option value="all">All years</option>
	 <?php
	 $query = "SELECT * FROM #__content WHERE catid=$id_cat  ORDER BY title DESC";
    $database->setQuery( $query );
    $rows = $database->loadObjectList();
    foreach($rows as $row)
      echo "<option value=\"$row->title\">$row->title</option>\n";
    ?>
      </select>
	  <fieldset>
	  <legend>Case</legend>
	  <input type="RADIO" name="case" value="sensitive" <?php if(!strcmp($case,'sensitive')) echo 'checked="checked"';?>/>Sensitive
	  <input type="RADIO" name="case" value="insensitive" <?php if(!strcmp($case,'insensitive')) echo 'checked="checked"'; ?>/>Insensitive
	  </fieldset>
	  <fieldset>
	  <legend>Order</legend>
	  <input type="RADIO" name="order"  value="DESC"<?php if(!strcmp($order,'DESC')) echo 'checked="checked"';?>/>Descendant 
	  <input type="RADIO" name="order"  value="ASC" <?php if(!strcmp($order,'ASC')) echo 'checked="checked"';?>/>Ascendant
	  </fieldset>
	  <input type="submit" /><input type="reset" />
	  </form>  
	  <?php
	  return  $id_cat;
  }
  
  function displayData($id,$string,$year,$case,$order) {
    global $database;

    if(strcmp("$year",'all')){
      //display publications which were printed in selected year
      $year=$database->getEscaped($year);
      $query = "SELECT * FROM #__content WHERE catid=$id AND title = '$year'";
    }
    else{
      $order=$database->getEscaped($order);
      //display all publications (all years)
      $query = "SELECT * FROM #__content WHERE catid=$id ORDER BY title $order";
    }
    $database->setQuery($query);
    $rows = $database->loadObjectList();
    if(count($rows)==0)
      //if no results
      return;
    foreach($rows as $row){
      //build a DOM tree
      $doc = new DomDocument();
$doc->formatOutput = true;
      $doc->loadHTML($row->introtext);
      try{
	$xp = new DomXpath($doc);
      }
      catch (Exception $e) {
	echo 'Caught exception: ',  $e->getMessage(), "\n";
      }
      if(!strcmp($case,'sensitive')){
	//if 'case sensitive' was chosen
	$res = $xp->query("//li[contains(.,'$string')]");
      }
      else {
	//if 'case insensitive' was chosen
	$string=strtoupper($string);
	$res = $xp->query("//li[contains(translate(.,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'$string')]");
      }
      //was the searched word was found
      if($res->length > 0){
	print "<h2>$row->title</h2>\n";
	print "<ol>\n";
	foreach($res as $li)
		echo $doc->saveXML($li) . "\n";
	print "</ol>\n";
      }
    }
  }
  function listAll($id) {
// display a list of publications and its number
	global $database;
	$query = "SELECT * FROM #__content WHERE catid=$id ORDER BY title DESC";
    	$database->setQuery($query);
    	$rows = $database->loadObjectList();
	if(count($rows)==0)
      		//if no results
      		return;
	echo "<p>\n<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n<tr>";
	echo "<td class=\"sectiontableheader\" width=\"45%\">Year</td><td class=\"sectiontableheader\" width=\"45%\">Number of publications</td></tr>\n";
        $i=0;
	foreach($rows as $row){
		echo "<tr class=\"sectiontableentry".($i%2+1)."\">";
      		//build a DOM tree
      		$doc = new DomDocument();
      		$doc->loadHTML($row->introtext);
                $url='index.php?option=com_content&task=view&id='.$row->id;
		echo '<td><a href="'. sefRelToAbs($url).'">';
		echo $row->title."</a></td>"; 
		echo "<td>".$doc->getElementsByTagName("li")->length."</td>";
		echo "</tr>\n";
                $i++;
	}
	echo "</table>\n</p>\n";
   }//function listAll()
}
?> 
